
public class Constants {

	// Version stamp.
	
	final static String BUILD_STAMP = "Build 5, dated 04 June 2010.";
	
	/* 
	 * For test setup. 
	 */
	
	final static boolean CONSOLE_OUTPUT = true;
	final static String DEFAULT_HOME_DB = "names.nsf"; // when running from Eclipse, the "home" db of the agent

	/* 
	 * Parameters that are NOT user configurable. 
	 */

	// Assume all databases are on current machine.
	final static String CONFIG_SERVER = "";       
	final static String LOG_SERVER = "";
	final static String SOURCE_SERVER = "";

	// Logging control
	final static String LOG_LEVEL_NONE_STRING = "0";  // not implemented, we always do at least ERROR logging
	final static String LOG_LEVEL_ERROR_STRING = "1";
	final static String LOG_LEVEL_BRIEF_STRING = "2";
	final static String LOG_LEVEL_FULL_STRING = "3";
	final static int LOG_LEVEL_NONE = 0;  
	final static int LOG_LEVEL_ERROR = 1;
	final static int LOG_LEVEL_BRIEF = 2;
	final static int LOG_LEVEL_FULL = 3;
		
	// ********** Add other non-user-configurable parameters here. **********
	
	/* 
	 * To get parameters that ARE user configurable. 
	 */

	final static String CONFIG_DB_INI = "NotesJavaSetup";   
	final static String CONFIG_DB_DEFAULT = "notes_java_setup.nsf";   
	final static String CONFIG_VIEW = "SettingsByName";				
	final static String CONFIG_VALUE_FIELD = "Values";

	final static String CONFIG_LOOKUP_LOGDB = "Log Database";
	final static String CONFIG_LOOKUP_LOGNAME = "Log Name";
	final static String CONFIG_LOOKUP_LOGLEVEL = "Log Level";

	// ********** Add the names of other user-configurable parameters here. These are the parameter names
	// ********** as they appear in the configuration database. *********
	
	// Constructor
	Constants () {}
		    
}
